<%@ Page Language="C#" AutoEventWireup="true" CodeBehind="ExamStatisticsList.aspx.cs"
    Inherits="RM.Web.Training.Exam.ExamStatisticsList" %>

<%--<%@ Register Src="~/UserControl/LoadButton.ascx" TagName="LoadButton" TagPrefix="uc2" %>--%>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head id="Head1" runat="server">
    <title><%=RM.Common.DotNetConfig.LanguageHelper.GetKey("ExamStatisticsList_Title")%></title>
    <link href="/Themes/Styles/Site.css" rel="stylesheet" type="text/css" />
    <script src="/Themes/Scripts/jquery-1.8.2.min.js" type="text/javascript"></script>
    <link href="/Themes/Scripts/artDialog/skins/opera.css" rel="stylesheet" type="text/css" />
    <script src="/Themes/Scripts/artDialog/artDialog.js" type="text/javascript"></script>
    <script src="/Themes/Scripts/artDialog/iframeTools.js" type="text/javascript"></script>
    <script src="/Themes/Scripts/FunctionJS.js" type="text/javascript"></script>
    <style type="text/css">
        #ddl_QueryType, #ddl_Subject { border: 1px solid #CCC; }
        #configDataBar { display: none; right: 95px; position: absolute; z-index: 5; background-color: #FAFAFA; box-shadow: 0 2px 6px rgba(100, 100, 100, 0.3); border: 1px solid #CCC; }
        ul, li { list-style: none; padding: 0; margin: 0; }
        .configTxt { padding: 0 5px; }
        #configDataBar li { line-height: 30px; }
        #configDataBar { padding: 15px 25px 15px 20px; }
        .configVal { width: 150px; border: 1px solid #CCC; line-height: 18px; height: 18px; font-size: 11pt; font: 15px/24px "Microsoft YaHei"; }
        .linkQueryBar { text-align: right; padding-top: 10px; }
        #sysDefaultPram, #btnQuery { background: url("/Themes/Images/buttons.png") no-repeat scroll 0 -1260px rgba(0, 0, 0, 0); transition: none; color: White; font-size: 9pt; border-radius: 3px; }
        #sysDefaultPram { padding: 5px 10px; }
        #sysDefaultPram:hover { background-position: 0 -1201px; text-decoration: underline; }
        #btnQuery { background-position: 0 -250px; padding: 5px 20px; }
        #btnQuery:hover { background-position: 0 -200px; text-decoration: underline; }
    </style>
</head>
<body>
    <form id="form1" runat="server">
    <div class="btnbartitle">
        <div>
            <%=RM.Common.DotNetConfig.LanguageHelper.GetKey("ExamStatisticsList_xycjtj")%>
        </div>
    </div>
    <div id="configDataBar">
        <ul>
            <li><span class="configTxt"> <%=RM.Common.DotNetConfig.LanguageHelper.GetKey("ExamStatisticsList_lhf")%>：</span><input class="configVal" id="goodScore" value="70"
                runat="server" /></li>
            <li><span class="configTxt"><%=RM.Common.DotNetConfig.LanguageHelper.GetKey("ExamStatisticsList_yxf")%>：</span><input class="configVal" id="fineScore" value="80"
                runat="server" /></li>
            <li><span class="configTxt"><%=RM.Common.DotNetConfig.LanguageHelper.GetKey("ExamStatisticsList_tyf")%>：</span><input class="configVal" id="bestScore" value="95"
                runat="server" /></li>
        </ul>
        <div class="linkQueryBar">
            <a href="javascript:;" id="sysDefaultPram"><%=RM.Common.DotNetConfig.LanguageHelper.GetKey("ExamStatisticsList_xtmr")%></a>
            <asp:LinkButton ID="btnQuery" runat="server" OnClick="btnQuery_Click"><%=RM.Common.DotNetConfig.LanguageHelper.GetKey("GetButton")%></asp:LinkButton>
        </div>
    </div>
    <div class="btnbarcontetn">
        <div style="float: left;">
        </div>
        <div style="text-align: right">
            <a class="button green" id="configData" title="<%=RM.Common.DotNetConfig.LanguageHelper.GetKey("ExamStatisticsList_pzsj")%>"><span class="icon-botton" style="background: url('/Themes/images/16/cog_edit.png') no-repeat scroll 0px 4px;">
            </span><%=RM.Common.DotNetConfig.LanguageHelper.GetKey("ExamStatisticsList_pzsj")%></a>
            <%--<uc2:LoadButton ID="LoadButton1" runat="server" />--%>
        </div>
    </div>
    <div class="div-body">
        <%=PageHtml.ToString()%>
    </div>
    </form>
<div id="mathquill" style=" width:600px; position:absolute; height:300px; left:0; bottom:0; background-color:White; display:none; z-index:9999;">
         <iframe src="/Training/TrainingTest/gs/mathdialog.html" width="600" height="300" scrolling="no"  frameborder="0" style=" padding:0;"></iframe>
    </div>
</body>
<script type="text/javascript">
    $(function () {
        //把分页定位到屏幕下面
        divresize(63);
        FixedTableHeader("#table1", $(window).height() - 121);
        function stopBubble(e) {
            if (e && e.stopPropagation) {
                e.stopPropagation();
            } else {
                window.event.cancelBubble = true;
            }
        }
        //验证数字 num
        function isInteger(obj) {
            reg = /^[-+]?\d+$/;
            if (!reg.test(obj)) {
                return false;
            } else {
                return true;
            }
        }
        document.getElementById("configData").onclick = function (e) {
            stopBubble(e);
            $("#configDataBar").css({ "top": $(this).offset().top }).stop().slideDown(300).click(function (e) {
                stopBubble(e);
            });
            $(window).one("click", function () {
                $("#configDataBar").stop().slideUp(300);
            });
        };
        document.getElementById("sysDefaultPram").onclick = function () {
            window.location.href = "/Training/Exam/ExamStatisticsList.aspx";
        };
        document.getElementById('btnQuery').onclick = function () {
            var isCheck = true;
            $(".configVal").each(function () {
                if (!isInteger($(this).val())) {
                    isCheck = false;
                    showTipsMsg("<%=RM.Common.DotNetConfig.LanguageHelper.GetKey("ExamStatisticsList_qsrhfdfs")%>", 1500, 3);
                    return false;
                } else if (parseInt($(this).val()) < 1) {
                    isCheck = false;
                    showTipsMsg("<%=RM.Common.DotNetConfig.LanguageHelper.GetKey("ExamStatisticsList_fsbxdy")%>", 1500, 3);
                    return false;
                }
            });
            if (!isCheck) return false;
            return true;
        };
    });
    function mathshow(textareaname) {
        $("#mathquill").show();
    }
    //将内容插入光标位置
    function funInsertTopic(textObj, textStr) {
        textObj.focus();
        var topic = textStr, value = textObj.value, index = value.indexOf(topic);
        if (index === -1) {
            //匹配
            funTextAsTopic(textObj, topic);
        }
        value = textObj.value;
        index = value.indexOf(topic);
        if (textObj.createTextRange) {
            var range = textObj.createTextRange();
            range.moveEnd("character", (index + textStr.length) - value.length);
            range.moveStart("character", index);
            range.select();
        } else {
            textObj.setSelectionRange(index, index + textStr.length);
            textObj.focus();
        }
    }
</script>
</html>
